#Sneaker98's pride and joy :)

import App

def Create(pTorp):
    kCoreColor = App.TGColorA()
    kCoreColor.SetRGBA((0.0 / 255.0), (0.0 / 255.0), (0.0 / 255.0), 0.0)
    kGlowColor = App.TGColorA()
    kGlowColor.SetRGBA((0.0 / 255.0), (0.0 / 255.0), (0.0 / 255.0), 0.0)
    kFlareColor = App.TGColorA()
    kFlareColor.SetRGBA((0.0 / 255.0), (0.0 / 255.0), (0.0 / 255.0), 0.0)

    pTorp.CreateTorpedoModel(
				"data/Textures/Tactical/TorpedoCore.tga", 
				kCoreColor, 
				0.0, 
				0.0, 
				"data/Textures/Tactical/TorpedoGlow.tga", 
				kGlowColor, 
				0.0, 
				0.0, 
				0.0, 
				"data/Textures/Tactical/TorpedoFlares.tga", 
				kFlareColor, 
				0.0, 
				0.0, 
				0.0)
    pTorp.SetDamage(GetDamage())
    pTorp.SetName(GetName())
    pTorp.SetDamageRadiusFactor(1.0)
    pTorp.SetGuidanceLifetime(GetGuidanceLifetime())
    pTorp.SetMaxAngularAccel(GetMaxAngularAccel())

    import Multiplayer.SpeciesToTorp
    pTorp.SetNetType(Multiplayer.SpeciesToTorp.POSITRON)

    return 0


def GetLaunchSpeed():
    randomSpeed  = App.g_kSystemWrapper.GetRandomNumber(5) * 10
    return randomSpeed


def GetLaunchSound():
    return "SpatialCharges"


def GetPowerCost():
    return 800.0


def GetName():
    return "SpatialCharges"


def GetDamage():
    return 598.0


def GetGuidanceLifetime():
    return 40.0


def GetMaxAngularAccel():
    return 1.5

